local has_api_level = require('my.functions').has_api_level

return {
    { 'https://github.com/nvim-treesitter/nvim-treesitter',
        version = '*',
        build = [[:TSUpdateSync]],
        opts = {
            ensure_installed = 'all',
            ignore_install = { 'comment', 'help' },
            sync_install = true,
            highlight = {
                enable = true,
                additional_vim_regex_highlighting = { 'cpp' }
            }
        },
    },
    { 'https://github.com/JoosepAlviste/nvim-ts-context-commentstring',
        dependencies = 'nvim-treesitter',
        enabled = has_api_level(11),
        opts = {
            enable = true,
            enable_autocmd = false
        },
        init = function()
            vim.g.skip_ts_context_commentstring_module = true
        end,
    },
    { 'https://github.com/folke/todo-comments.nvim',
        version = '*',
        dependencies = { 'plenary.nvim' },
        enabled = has_api_level(11),
        opts = {
            signs = false,
            highlight = {
                keyword = 'bg',
                after = ''
            }
        },
        init = function()
            vim.g.vimtex_compiler_latexmk_engines = { _ = '-xelatex' }
        end,
    },
    { 'https://github.com/powerman/vim-plugin-AnsiEsc' },
    { 'https://github.com/lervag/vimtex',
        version = '*',
        enabled = has_api_level(11) and vim.fn.executable('xelatex') == 1
    },
    { 'https://github.com/NvChad/nvim-colorizer.lua',
        opts = {
            filetypes = { '*' },
            user_default_options = {
                mode = 'virtualtext',
                rgb_fn = true,
                hsl_fn = true,
                RRGGBBAA = true,
            }
        },
    },
    { 'https://github.com/gennaro-tedesco/nvim-jqx',
        version = '*',
        ft = { "json", "yaml" },
    },
    { 'https://github.com/isobit/vim-caddyfile' },
}
